Package tigase.db.util.importexport

# Class Exporter

java.lang.Object
tigase.db.util.importexport.Exporter

public class Exporter extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CommandlineParameter`
  `EXPORT_MAM_BATCH_SIZE`
  `static final CommandlineParameter`
  `EXPORT_MAM_SINCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Exporter(RepositoryHolder repositoryHolder, VHostJDBCRepository vhostRepository, List<RepositoryManagerExtension> extensions, Path rootPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `export(String fileName)`
  `protected void`
  `exportDomain(Path domainFilePath, String domain, Writer writer)`
  `static void`
  `exportInclude(Writer parentWriter, Path rootPath, Path filePath, RepositoryManager.ThrowingConsumer<Writer> writerConsumer)`
  `protected void`
  `exportUser(UserRepository userRepository, Path userFilePath, BareJID user, Writer writer)`
  `static Integer`
  `getExportMAMBatchSize()`
  `static Optional<Date>`
  `getExportMAMSinceValue()`
  `static void`
  `openXmlFile(Path filePath, RepositoryManager.ThrowingConsumer<Writer> writerConsumer)`
  `static Date`
  `parseTimestamp(String str)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXPORT_MAM_SINCE

    public static final CommandlineParameter EXPORT_MAM_SINCE

  - ### EXPORT_MAM_BATCH_SIZE

    public static final CommandlineParameter EXPORT_MAM_BATCH_SIZE

- ## Constructor Details

  - ### Exporter

    public Exporter(RepositoryHolder repositoryHolder, VHostJDBCRepository vhostRepository, List<RepositoryManagerExtension> extensions, Path rootPath)

- ## Method Details

  - ### getExportMAMSinceValue

    public static Optional<Date> getExportMAMSinceValue()

  - ### getExportMAMBatchSize

    public static Integer getExportMAMBatchSize()

  - ### parseTimestamp

    public static Date parseTimestamp(String str)

  - ### exportInclude

    public static void exportInclude(Writer parentWriter, Path rootPath, Path filePath, RepositoryManager.ThrowingConsumer<Writer> writerConsumer) throws Exception
    Throws:
      `Exception`

  - ### openXmlFile

    public static void openXmlFile(Path filePath, RepositoryManager.ThrowingConsumer<Writer> writerConsumer) throws Exception
    Throws:
      `Exception`

  - ### export

    public void export(String fileName) throws Exception
    Throws:
      `Exception`

  - ### exportDomain

    protected void exportDomain(Path domainFilePath, String domain, Writer writer) throws Exception
    Throws:
      `Exception`

  - ### exportUser

    protected void exportUser(UserRepository userRepository, Path userFilePath, BareJID user, Writer writer) throws Exception
    Throws:
      `Exception`